Subject: INFOPATH and MANPATH not set in profiles

From: Morgan Smith <[email-masked]>
Date: Sat, 03 Jul 2021 09:54:17 -0400

MANPATH is set by the man-db package, and /etc/profile.

INFOPATH is set by the emacs package, the texinfo package, and
/etc/profile.

/etc/profile sets the variables as such:
export MANPATH=$HOME/.guix-profile/share/man:/run/current-system/profile/share/man
export INFOPATH=$HOME/.guix-profile/share/info:/run/current-system/profile/share/info

This means if I use multiple profiles, and I don't have `(and man-db (or
emacs texinfo))` in each profile, then I can't access the info and man
files using the info and man commands.

For example:

Fails to find man page
guix environment --ad-hoc neovim
man nvim

Finds man page just fine
guix environment --ad-hoc man-db neovim
man nvim